Last Comment Bug 89534 - Mozilla 0.9.2 install causes Forte Agent 1.8/32.548 to crash
: Mozilla 0.9.2 install causes Forte Agent 1.8/32.548 to crash
Status: RESOLVED FIXED
win32-registry
: qawanted, relnote
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 Windows 2000
: -- critical with 7 votes (vote)
: mozilla1.0.1
Assigned To: Bill Law
: Nobody; OK to take it and work on it
Mentors:
: 89787 100264 114205 124584 (view as bug list)
Depends on: 59078
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-05 21:03 PDT by Robert Turnbull
Modified: 2004-11-23 18:54 PST (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Mozilla Win2K Association Fix Registry Patch V2.0 (2.95 KB, text/plain)
2001-08-03 21:36 PDT, rhardy
no flags Details
Mozilla Win2K AssociationRegistry Cleanup.inf V1.0 (replaces previous registry patches) (2.68 KB, application/octet-stream)
2001-09-15 16:46 PDT, rhardy
no flags Details
Attachment to delete offending Registry entries (33 bytes, patch)
2002-01-03 12:24 PST, Roger Thompson
no flags Details | Diff | Review

Description Robert Turnbull 2001-07-05 21:03:31 PDT
I've been using Agent for some time (years) without any problems. After
installing Mozilla 0.9.2 I started generating Dr. Watson errors when starting
Forte Agent 1.8/32.548.

I discovered that I could run a clean install of Forte Agent one time only. This
lead to the discovery that I could get a old or new Agent install to run again
by deleting urltype.dat. (one of Agent's files)

I'm attaching my Agent urltype.dat file and a Dr. Watson logfile in the hope
that it will assist you in fixing the problem.

I've also emailed Forte (agent-support@forteinc.com) about the problem. They
helped me figure out that Mozilla was the cause of the Agent crash. Agent will
also crash when trying to link to a URL in a newsgroup message. This feature has
worked with older versions of Netscape and Mozilla and now works again after
going back to 0.9.1.

Robert Turnbull
rturnbul@speakeasy.org

--------------------------------------------------------------------------------------------------------------------------------------
URLTYPE.DAT

Type: mailto
Name: Electronic Mail Address
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 2
App: 
UseDde: 0
DdeMethod: 1
DdeApp: 
DdeTopic: WWW_OpenURL
DdeMsg: "%1",,0xFFFFFFFF,,,,,

Type: news
Name: Usenet News
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 2
App: 
UseDde: 0
DdeMethod: 1
DdeApp: 
DdeTopic: WWW_OpenURL
DdeMsg: "%1",,0xFFFFFFFF,,,,,

Type: nntp
Name: Usenet News
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 2
App: 
UseDde: 0
DdeMethod: 1
DdeApp: 
DdeTopic: WWW_OpenURL
DdeMsg: "%1",,0xFFFFFFFF,,,,,

Type: callto
Name: URL: CallTo Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: rundll32.exe msconf.dll,CallToProtocolHandler %l
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: file
Name: URL:File Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: rundll32.exe url.dll,FileProtocolHandler %l
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: ftp
Name: URL:File Transfer Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"
UseDde: 1
DdeMethod: 1
DdeApp: Mozilla
DdeTopic: WWW_OpenURL
DdeMsg: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"

Type: gopher
Name: URL:Gopher Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"
UseDde: 1
DdeMethod: 1
DdeApp: Mozilla
DdeTopic: WWW_OpenURL
DdeMsg: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"

Type: http
Name: URL:HyperText Transfer Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"
UseDde: 1
DdeMethod: 1
DdeApp: Mozilla
DdeTopic: WWW_OpenURL
DdeMsg: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"

Type: https
Name: URL:HyperText Transfer Protocol with Privacy
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"
UseDde: 1
DdeMethod: 1
DdeApp: Mozilla
DdeTopic: WWW_OpenURL
DdeMsg: C:\PROGRA~1\MOZILLA.ORG\MOZILLA\MOZILLA.EXE -url "%1"

Type: LDAP
Name: URL:LDAP Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Outlook Express\wab.exe" /ldap:%1
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: MMS
Name: URL:mms Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Windows Media Player\mplayer2.exe" "%L"
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: MMST
Name: URL:mmst Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Windows Media Player\mplayer2.exe" "%L"
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: MMSU
Name: URL:mmsu Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Windows Media Player\mplayer2.exe" "%L"
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: MSBD
Name: URL:msbd Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Windows Media Player\mplayer2.exe" "%L"
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: nap
Name: 
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: 
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: PNM
Name: RealNetworks Streaming Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Real\RealPlayer\RealPlay.exe" %1
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: rlogin
Name: URL:RLogin Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: rundll32.exe url.dll,TelnetProtocolHandler %l
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: rtsp
Name: Real-Time Streaming Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Real\RealPlayer\RealPlay.exe" %1
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: Shell
Name: 
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: %SystemRoot%\Explorer.exe /idlist,%I,%L
UseDde: 1
DdeMethod: 0
DdeApp: Folders
DdeTopic: AppProperties
DdeMsg: [ViewFolder("%l", %I, %S)]

Type: snews
Name: URL:Snews Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "%ProgramFiles%\Outlook Express\msimn.exe" /newsurl:%1
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: telnet
Name: URL:Telnet Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: rundll32.exe url.dll,TelnetProtocolHandler %l
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: tn3270
Name: URL:TN3270 Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: rundll32.exe url.dll,TelnetProtocolHandler %l
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: vnd.ms.radio
Name: URL: Radio Protocol
Enable: 1
UseHttp: 0
RemovePrefix: 0
Mode: 0
App: "C:\Program Files\Windows Media Player\mplayer2.exe" "%L"
UseDde: 0
DdeMethod: 0
DdeApp: 
DdeTopic: 
DdeMsg: 

Type: wais
Name: Wide Area Information Servers
Enable: 1
UseHttp: 1
RemovePrefix: 0
Mode: 0
App: 
UseDde: 0
DdeMethod: 1
DdeApp: 
DdeTopic: WWW_OpenURL
DdeMsg: "%1",,0xFFFFFFFF,,,,,

Type: icq
Name: ICQ Chat
Enable: 1
UseHttp: 1
RemovePrefix: 0
Mode: 0
App: 
UseDde: 0
DdeMethod: 1
DdeApp: 
DdeTopic: WWW_OpenURL
DdeMsg: "%1",,0xFFFFFFFF,,,,,

--------------------------------------------------------------------------------------------------------------------------------------
DRWTSN32.LOG


Microsoft (R) Windows 2000 (TM) Version 5.00 DrWtsn32
Copyright (C) 1985-1999 Microsoft Corp. All rights reserved.



Application exception occurred:
        App:  (pid=1012)
        When: 7/1/2001 @ 10:44:07.193
        Exception number: c0000005 (access violation)

*----> System Information <----*
        Computer Name: INSPIRON3800
        User Name: robertt
        Number of Processors: 1
        Processor Type: x86 Family 6 Model 8 Stepping 3
        Windows 2000 Version: 5.0
        Current Build: 2195
        Service Pack: 2
        Current Type: Uniprocessor Free
        Registered Organization: 
        Registered Owner: Robert Turnbull

*----> Task List <----*
   0 Idle.exe
   8 System.exe
 144 SMSS.exe
 168 CSRSS.exe
 188 WINLOGON.exe
 216 SERVICES.exe
 228 LSASS.exe
 396 svchost.exe
 424 SPOOLSV.exe
 452 ati2evxx.exe
 472 svchost.exe
 508 regsvc.exe
 524 mstask.exe
 556 stisvc.exe
 596 WinMgmt.exe
 792 explorer.exe
 852 prpcui.exe
 860 atiptaxx.exe
 832 Config.exe
 880 mozilla.exe
1012 agent.exe
 272 DRWTSN32.exe
   0 _Total.exe

(00400000 - 006AE000) 
(77F80000 - 77FFB000) 
(77E80000 - 77F35000) 
(77E10000 - 77E74000) 
(77F40000 - 77F7C000) 
(77A50000 - 77B46000) 
(77D40000 - 77DB0000) 
(77DB0000 - 77E0B000) 
(77570000 - 775A0000) 
(782F0000 - 78532000) 
(70BD0000 - 70C1C000) 
(71700000 - 7178A000) 
(76B30000 - 76B6E000) 
(78000000 - 78046000) 
(774E0000 - 77512000) 
(774C0000 - 774D1000) 
(75030000 - 75043000) 
(75020000 - 75028000) 
(77530000 - 77552000) 
(77830000 - 7783E000) 
(75050000 - 75058000) 

State Dump for Thread Id 0x2f0

eax=00af24e6 ebx=00af1c76 ecx=61725420 edx=6566736e esi=00af0000 edi=00000000
eip=00576510 esp=0012f66c ebp=0012f66c iopl=0         nv up ei pl nz ac pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=0038  gs=0000             efl=00010212


function: WinTimerStatics
        005764fa 735f             jnb     WinTimerStatics+0xbecf (0057d25b)
        005764fc 6d               insd
        005764fd 7574             jnz     WinTimerStatics+0xb6e7 (0057ca73)
        005764ff 657820           js      WinTimerStatics+0x7b96 (00578f22)
        00576502 2a00             sub     al,[eax]                    
ds:00af24e6=6c
        00576504 55               push    ebp
        00576505 8bec             mov     ebp,esp
        00576507 8b4508           mov     eax,[ebp+0x8]         
ss:00bacc3e=????????
        0057650a 8b5006           mov     edx,[eax+0x6]         
ds:0156fab8=????????
        0057650d 8b4802           mov     ecx,[eax+0x2]         
ds:0156fab8=????????
FAULT ->00576510 894a02           mov     [edx+0x2],ecx         
ds:660e4940=????????
        00576513 8b5002           mov     edx,[eax+0x2]         
ds:0156fab8=????????
        00576516 8b4006           mov     eax,[eax+0x6]         
ds:0156fab8=????????
        00576519 894206           mov     [edx+0x6],eax         
ds:660e4940=????????
        0057651c 5d               pop     ebp
        0057651d c3               ret
        0057651e 55               push    ebp
        0057651f 8bec             mov     ebp,esp
        00576521 8b550c           mov     edx,[ebp+0xc]         
ss:00bacc3e=????????
        00576524 8b4508           mov     eax,[ebp+0x8]         
ss:00bacc3e=????????
        00576527 895006           mov     [eax+0x6],edx         
ds:0156fab8=????????
        0057652a 8b4a02           mov     ecx,[edx+0x2]         
ds:660e4940=????????

*----> Stack Back Trace <----*

FramePtr ReturnAd Param#1  Param#2  Param#3  Param#4  Function Name
0012F66C 00577837 00AF24E6 0012F7CC 00AF0000 00AD0000 !WinTimerStatics 
0012F684 005777A7 00AF24E0 0012F7E8 0012F6F8 0012F6A4 !WinTimerStatics 
0012F698 0057B244 00AF24E0 0012F6B0 0057B21D 00AF24E0 !WinTimerStatics 
0012F6A4 0057B21D 00AF24E0 0012F6C0 00572309 00AF24E0 !WinTimerStatics 
0012F6B0 00572309 00AF24E0 0012F760 0012F700 00514127 !WinTimerStatics 
0012F6C0 00514127 0012F6F8 00000002 0012F758 0012F7B4 !WinTimerStatics 
0012F700 0050E783 0012F758 0012F760 00000000 00000004
!MyDdeCallback$quiuip7HCONV__p5HSZ__t4p10HDDEDATA__ulul 
0012F768 0050B2B1 0012F7B4 00AF28E8 0012F7E8 00000000
!MyDdeCallback$quiuip7HCONV__p5HSZ__t4p10HDDEDATA__ulul 
0012F804 0050A538 00AF2CF0 00000000 0012FCB0 0012FD48 !StdDlgProc$qp6HWND__uiuil 
0012F940 00509F6B 00AF2CF0 0012FA98 0059BA37 005EAC60 !StdDlgProc$qp6HWND__uiuil 
0012F970 0040E076 00000000 0012FCB0 0012FD48 0012F9B8 !StdDlgProc$qp6HWND__uiuil 
0012FADC 004D35B6 0012FD48 00000001 0012FB4C 0059BA37 !_GetExceptDLLinfo 
0012FB18 004D3824 0012FD48 00000000 0012FCB0 00000001 !PropdlgKbdProc$qiuil 
0012FB80 0040F860 0012FD48 00000000 00400000 0000000A !PropdlgKbdProc$qiuil 
0012FF44 00596470 00000002 00AE0020 00000000 005A802C !_GetExceptDLLinfo 
0012FF88 005A5051 00400000 00000000 00133133 0000000A !<nosymbols> 
0012FFB8 00000000 005A802C 77E97D08 0006D148 0000043A !<nosymbols> 

*----> Raw Stack Dump <----*
0012f66c  84 f6 12 00 37 78 57 00 - e6 24 af 00 cc f7 12 00  ....7xW..$......
0012f67c  00 00 af 00 00 00 ad 00 - 98 f6 12 00 a7 77 57 00  .............wW.
0012f68c  e0 24 af 00 e8 f7 12 00 - f8 f6 12 00 a4 f6 12 00  .$..............
0012f69c  44 b2 57 00 e0 24 af 00 - b0 f6 12 00 1d b2 57 00  D.W..$........W.
0012f6ac  e0 24 af 00 c0 f6 12 00 - 09 23 57 00 e0 24 af 00  .$.......#W..$..
0012f6bc  60 f7 12 00 00 f7 12 00 - 27 41 51 00 f8 f6 12 00  `.......'AQ.....
0012f6cc  02 00 00 00 58 f7 12 00 - b4 f7 12 00 20 f7 12 00  ....X....... ...
0012f6dc  37 ba 59 00 44 d6 5e 00 - d4 f6 12 00 20 00 00 00  7.Y.D.^..... ...
0012f6ec  00 00 00 00 19 00 02 00 - 58 00 00 00 00 04 00 00  ........X.......
0012f6fc  e0 24 af 00 68 f7 12 00 - 83 e7 50 00 58 f7 12 00  .$..h.....P.X...
0012f70c  60 f7 12 00 00 00 00 00 - 04 00 00 00 f0 2c af 00  `............,..
0012f71c  d3 04 00 00 94 f7 12 00 - 37 ba 59 00 28 be 5e 00  ........7.Y.(.^.
0012f72c  14 f7 12 00 2c 00 00 00 - 00 00 00 00 02 00 00 00  ....,...........
0012f73c  50 00 00 00 9e 41 51 00 - 01 00 00 00 00 00 00 00  P....AQ.........
0012f74c  01 00 00 00 90 f7 12 00 - 18 12 af 00 68 a9 ae 00  ............h...
0012f75c  88 a7 ae 00 de 00 00 00 - c8 a9 ae 00 04 f8 12 00  ................
0012f76c  b1 b2 50 00 b4 f7 12 00 - e8 28 af 00 e8 f7 12 00  ..P......(......
0012f77c  00 00 00 00 4c f8 12 00 - 00 00 00 00 f0 2c af 00  ....L........,..
0012f78c  01 00 00 00 01 00 00 00 - 28 f8 12 00 37 ba 59 00  ........(...7.Y.
0012f79c  cc b0 5e 00 80 f7 12 00 - 20 00 00 00 00 00 00 00  ..^..... .......

State Dump for Thread Id 0x264

eax=778321fe ebx=00000003 ecx=7ffde000 edx=00000000 esi=77f8281e edi=00000003
eip=77f82829 esp=00bffd24 ebp=00bffd70 iopl=0         nv up ei pl zr na po nc
cs=001b  ss=0023  ds=0023  es=0023  fs=0038  gs=0000             efl=00000246


function: NtWaitForMultipleObjects
        77f8281e b8e9000000       mov     eax,0xe9
        77f82823 8d542404         lea     edx,[esp+0x4]         
ss:0167d2f7=????????
        77f82827 cd2e             int     2e
        77f82829 c21400           ret     0x14

*----> Stack Back Trace <----*

FramePtr ReturnAd Param#1  Param#2  Param#3  Param#4  Function Name
00BFFD70 77E86E1A 00BFFD48 00000001 00000000 00000000
ntdll!NtWaitForMultipleObjects 
00BFFFB4 77E8758A 00000004 00135F0C 7FFDE000 00138188
kernel32!WaitForMultipleObjects 
00BFFFEC 00000000 778321FE 00138188 00000000 00AD0000 kernel32!SetFilePointer 

*----> Raw Stack Dump <----*
00bffd24  da 6d e8 77 03 00 00 00 - 48 fd bf 00 01 00 00 00  .m.w....H.......
00bffd34  00 00 00 00 00 00 00 00 - 00 00 00 00 88 81 13 00  ................
00bffd44  01 00 00 00 88 00 00 00 - 8c 00 00 00 9c 00 00 00  ................
00bffd54  04 00 00 00 00 00 00 00 - 00 00 00 00 e8 32 68 81  .............2h.
00bffd64  04 00 00 00 01 00 00 00 - c0 32 68 81 b4 ff bf 00  .........2h.....
00bffd74  1a 6e e8 77 48 fd bf 00 - 01 00 00 00 00 00 00 00  .n.wH...........
00bffd84  00 00 00 00 00 00 00 00 - b2 22 83 77 03 00 00 00  .........".w....
00bffd94  b0 fe bf 00 00 00 00 00 - ff ff ff ff 88 81 13 00  ................
00bffda4  00 e0 fd 7f 0c 5f 13 00 - 42 fb 44 80 b8 9c 20 e1  ....._..B.D... .
00bffdb4  01 f8 44 80 00 00 00 00 - 00 00 00 00 38 00 00 00  ..D.........8...
00bffdc4  23 00 00 00 23 00 00 00 - 0c 5f 13 00 00 e0 fd 7f  #...#...._......
00bffdd4  88 81 13 00 00 e0 fd 7f - 00 e0 fd 7f fe 21 83 77  .............!.w
00bffde4  00 00 00 00 32 75 e8 77 - 1b 00 00 00 00 02 00 00  ....2u.w........
00bffdf4  fc ff bf 00 23 00 00 00 - 0c 5b 0c be 04 00 00 00  ....#....[......
00bffe04  62 f3 40 80 98 00 00 00 - 05 00 00 00 24 00 01 e1  b.@.........$...
00bffe14  74 5b 0c be 6b 04 45 80 - a8 69 3a 81 00 00 00 00  t[..k.E..i:.....
00bffe24  04 00 00 00 00 00 00 00 - 05 00 00 00 00 00 c8 00  ................
00bffe34  36 6a 3a 81 08 f3 e6 e1 - 48 03 00 00 c8 d9 00 e1  6j:.....H.......
00bffe44  28 85 00 e1 30 00 30 00 - 06 6a 3a 81 b4 5b 0c be  (...0.0..j:..[..
00bffe54  d0 0c 45 80 34 00 00 c0 - 01 27 68 81 71 36 4a 80  ..E.4....'h.q6J.
Comment 1 Asa Dotzler [:asa] 2001-07-09 13:38:06 PDT
*** Bug 89787 has been marked as a duplicate of this bug. ***
Comment 2 Keyser Sose 2001-07-11 23:22:54 PDT
Makring NEW based on duplicate.
Comment 3 Rod Steel 2001-07-20 05:25:46 PDT
Further info : Forte Agent OK using 2001-06-29-06 installer trunk build; Forte
Agent fails after installing 2001-07-10-04 installer trunk build.
Comment 4 Henrik Gemal 2001-07-24 05:58:45 PDT
I dont really know what to do about this bug.... Not sure if it's a Mozilla bug. 
Seem more like a Forte Agent bug...?
Comment 5 Mike Dickson 2001-07-24 07:06:27 PDT
Perhaps, but would that explain why 0.9.1 did not display this problem, and
0.9.2 does? Obviously something changed, and since it wasn't agent, the only
thing left is Mozilla. 
Comment 6 Dave Lewis 2001-08-01 13:28:44 PDT
I found the following sequence allowed Agent to run properly:
1. Clean install of Win2k
2. Start the install Mozilla 0.9.2
3. When the dialog box that says "Do you want to set up windows that that it
will..." I select "No".

Selecting "Yes" allowed Agent to run only once. Startup crashes occurred afterward.
Selecting "No" allowed Agent to run properly.
Comment 7 Henrik Gemal 2001-08-01 13:38:13 PDT
so close and move on?
Comment 8 Mike Dickson 2001-08-01 16:28:39 PDT
Well...if you want to label it as wontfix or whatever, that's your choice, but 
the bug is there. Basically, if Mozilla is the default browser, Agent doesn't 
work. Do you want Mozilla to be incompatible with the most popular news reader? 
It's up to you I guess.
Comment 9 Daniel Veditz [:dveditz] 2001-08-01 17:28:18 PDT
That dialog controls many settings. It'd help to know which one is busting
Forte. You can turn individual items off and on in the preferences dialog, on
the "System" subtab of the "Advanced" tab.

I'd focus on the protocols (since those are in your URLTYPE.DAT), but it might
also be the file type associations.

These associations are done in the browser, reassigning to Vishy to
re-distribute and CC-ing a couple of folks who will probably care that we crash
the most popular newsreading program on Windows.
Comment 10 rhardy 2001-08-03 03:26:43 PDT
Windows Registry Editor Version 5.00

; Builds of Mozilla from 0.9.2 to at least 2001080203 all seems to create
; invalid shell/open data in the Windows 2000 Registry. This causes most 
; applications (Agent, Quickbooks 2001 Pro and Windows Explorer are known)
; that access said data to get some form of an access violation.
; WORKAROUND:
;   1. Reset your Internet Options in Internet Exploder:
;      GotoTools->Internet Options->Programs->Reset Web Settings
;      Uncheck Reset your home page Click Yes
;   2. Correct the path below so it find your mozilla.exe
;   3. Run the registry patch so your can still use mozilla by default

[HKEY_CLASSES_ROOT\http\shell]

[HKEY_CLASSES_ROOT\http\shell\open]

[HKEY_CLASSES_ROOT\http\shell\open\command]
@="C:\\Program Files\\mozilla-win32-talkback\\bin\\mozilla.exe -url \"%1\""

[HKEY_CLASSES_ROOT\http\shell\open\ddeexec]
@="%1"
"NoActivateHandler"=""

[HKEY_CLASSES_ROOT\http\shell\open\ddeexec\Application]
@="NSShell"

[HKEY_CLASSES_ROOT\http\shell\open\ddeexec\Topic]
@="WWW_OpenURL"

Comment 11 rhardy 2001-08-03 03:38:42 PDT
When a urltype.dat file doesn't exist Agent dumps reads the appropriate keys
from the registry into a new urltype.dat. Therefore comparing new urltype.dat
files each created after a new type of browser is associated with the http
protocol is an easy way to diagnose the problems Mozilla is causing. Basically
the registery keys that get generated when Mozilla is associated with the http
protocol are invalid. This probably applies to other associations as well but my
access violations were related to the http protocol. Netscape Communicator 4.76
and IE 5 both have different entries but they both work properly and
do not cause access violations. I have also included last the urltype.dat which
gets generated after applying my registry patch in the previous comment. 
Good luck fixing the problem.

urltype.dat with IE
  Type: http
  Name: URL:HyperText Transfer Protocol
  Enable: 1
  UseHttp: 0
  RemovePrefix: 0
  Mode: 0
  App: "C:\Program Files\Internet Explorer\iexplore.exe" -nohome
  UseDde: 1
  DdeMethod: 1
  DdeApp: IExplore
  DdeTopic: WWW_OpenURL
  DdeMsg: "%1",,-1,0,,,,

urltype.dat with Mozilla Build 2001080203 (really V0.9.2 or later)
  Type: http
  Name: URL:HyperText Transfer Protocol
  Enable: 1
  UseHttp: 0
  RemovePrefix: 0
  Mode: 0
  App: C:\PROGRA~1\MOZILL~1\BIN\MOZILLA.EXE -url "%1"
  UseDde: 1
  DdeMethod: 1
  DdeApp: IExplore
  DdeTopic: WWW_OpenURL
  DdeMsg: C:\PROGRA~1\MOZILL~1\BIN\MOZILLA.EXE -url "%1"

urltype.dat with Netscape Communicator 4.76 (version approximate)
  Type: http
  Name: URL:HyperText Transfer Protocol
  Enable: 1
  UseHttp: 0
  RemovePrefix: 0
  Mode: 0
  App: C:\Program Files\Netscape\Communicator\Program\netscape.exe -h "%1"
  UseDde: 1
  DdeMethod: 1
  DdeApp: NSShell
  DdeTopic: WWW_OpenURL
  DdeMsg: %1

urltype.dat with Mozilla Build 2001080203 after my registry patch
  Type: http
  Name: URL:HyperText Transfer Protocol
  Enable: 1
  UseHttp: 0
  RemovePrefix: 0
  Mode: 0
  App: C:\Program Files\mozilla-win32-talkback\bin\mozilla.exe -url "%1"
  UseDde: 1
  DdeMethod: 1
  DdeApp: NSShell
  DdeTopic: WWW_OpenURL
  DdeMsg: %1
 
Comment 12 Daniel Veditz [:dveditz] 2001-08-03 08:03:09 PDT
Sean, is this related to the XP start menu changes you made around that time? I
don't think law was here around that time (0.9.2) to be making other changes to
the windows integration settings. CC'ing Bill, too, for when he gets back.
Comment 13 Sean Su 2001-08-03 10:32:50 PDT
I believe not.  This bug showed up before the XP changes that I made.  Besides, 
the XP changes do not set our browser as the default handler for anything.  It 
simply places our browser and mailnews in a "list" of available apps that allows 
the user to set us as a default app in the XP's Start menu (not as a 
"default handler").
Comment 14 rhardy 2001-08-03 21:36:41 PDT
Created attachment 44665 [details]
Mozilla Win2K Association Fix Registry Patch V2.0
Comment 15 rhardy 2001-08-03 21:40:17 PDT
This BADLY needs to be in "known problems" with Mozilla 0.9.3.

IMHO this really should be a blocker. Installation of Mozilla on Win2K makes the
system totally unusable and can erroneously make the owner think he has faulty
hardware. 

I'm not up on Mozilla structure but shouldn't this be component "Installer" or
"Preferences"? As far as I can tell this has nothing to do with XP. I'm probably
wrong here though...

It has taken me since Mozilla 0.9.2 was released and a couple of trips to my
local reseller to isolate this. 8o/ I'm not complaining but this needs to get
documented/fixed as it is extremely bad PR for other new Mozilla users.

Today's updated Registry patch address all the default protocols and doesn't
require Internet Exploder ;o) (Sorry about not using the file attachment
mechanism on the previous reg file.)
Comment 16 rhardy 2001-08-04 17:39:47 PDT
I noticed something strange about this bug. It doesn't seem to happen under
Windows 98SE (testing with Mozilla 0.9.3.) The "open\ddeexec" field below only
seems to be filled with the contents of the "open\command" field under Windows 2000.

[HKEY_CLASSES_ROOT\http\shell\open\command]
@="C:\\PROGRA~1\\MOZILL~1.3-T\\BIN\\MOZILLA.EXE -url \"%1\""

[HKEY_CLASSES_ROOT\http\shell\open\ddeexec]
@=""
"NoActivateHandler"=""
Comment 17 rhardy 2001-08-05 23:00:39 PDT
I have been doing some inter-operability tests. While my registry changes
prevent the access violations under Win2K and generally make things work, it is
as if some applications are expecting Mozilla to some how return a value and it
isn't (or something else is expected in the DDEEXEC field.) 

The most obvious case is that of SecureCRT. Said program allows you to right
click on a one line URL (ex. when reading your mail in Pine) and select "Open
URL" to view the URL. I'm fairly sure this works fine with IE and Netscape
Communicator but when I try with Mozilla associated the page comes up but I
always get a warning. Obviously substitute <correct URL> with the real URL
selected. The warning gives the correct URL in the title bar followed by:
"Cannot find the file '<correct URL>' (or one of its componets). Make sure the
path and filename are correct and that all required libraries are available.
"
Anyone know why this is happening?
Comment 18 Robert Turnbull 2001-08-08 16:31:38 PDT
After applying the patch Agent doesn't explode on startup... (Thanks)

Unfortuneately, Agent is no longer able to launch Mozilla when you double click
a web address in a Usenet message. (Launch URL with a right click doesn't work
either) This worked under 0.9.1 
Comment 19 Stuart Burns 2001-08-30 06:30:32 PDT
same problem on Windows NT 4 SP6
Comment 20 Bill Law 2001-08-30 12:02:59 PDT
Adding Paul Chen to cc: list.  He has a related bug (I think) re: clicking on
links in Office 2K.

At some point, I changed the way we tweak the registry so that we no longer tell
apps to communicate with us via DDE.  That was because there was some quirk in
our DDE support that caused that not to work in some cases.

This is all complicated by the fact that we previously did set DDE-related keys
(as do IE and Communicator), so we have to set them to blanks to turn them off
(i.e., we can't just leave them alone).  I think there's potential problems in
some situations (e.g., installing a new version on top of an older one), because
we think we've already set the registry keys and then don't reset the related
DDE ones.  We've also changed the DDE support so that the old keys are pretty
much guaranteed to fail.  Some apps might not like it if we don't handle their
requests properly.

This is messy.  I think I'll be working with Paul on some way to fix things.
Comment 21 rhardy 2001-09-15 16:46:46 PDT
Created attachment 49473 [details]
Mozilla Win2K AssociationRegistry Cleanup.inf V1.0 (replaces previous registry patches)
Comment 22 rhardy 2001-09-15 16:52:28 PDT
I've posted a new fix which seems to totally solve the problem.
No more access violations and also applications work properly
when launching URLs. Note I only tested with Mozilla 0.94 release.

Note that IMHO Mozilla itself could be easily solve this problem by simply
deleting the following registry keys (and everything under them) when
Mozilla associates itself with those protocols:
My Computer\HKEY_CLASSES_ROOT\chrome\shell
My Computer\HKEY_CLASSES_ROOT\ftp\shell
My Computer\HKEY_CLASSES_ROOT\gopher\shell
My Computer\HKEY_CLASSES_ROOT\http\shell
My Computer\HKEY_CLASSES_ROOT\https\shell

My cleanup.inf fix does exactly that. After they are deleted Mozilla 0.94 associates itself properly.
Comment 23 Henrik Gemal 2001-09-18 02:32:58 PDT
*** Bug 100264 has been marked as a duplicate of this bug. ***
Comment 24 Richard Callwood III 2001-10-09 13:32:23 PDT
How do I "run the registry patch"?  Sorry if this is the wrong place to ask, but
I've been searching up and down the Internet and haven't found a clue as to how
to proceed.  FYI, I'm running Netscape 6.1, but there is nothing anywhere on
Netscape's site mentioning this problem.  I'm sure that there are a lot of
people less technical than I who have obediently downloaded Netscape 6.1 (or
have been pummeled into doing so) would like to know how to get their Agent back.
Comment 25 kai.kindereit 2001-10-09 13:49:57 PDT
You must rename it a .reg-file and just select "Install" when right-clicking on it.
Comment 26 Jon Fleming 2001-10-13 17:46:38 PDT
Renaming it to whatever.reg will not work.  You must rename it to Cleanup.inf or
<anything>.inf.  Then, when you right-click on it, "Install" will be one of the
options, and you should pick Install.
Comment 27 kai.kindereit 2001-10-13 23:04:17 PDT
Worked for me, though. As it is registry information, it should be a .reg-file.
The only blunder I made was that you can't choose "Install" on a .reg-file.
That's "Merge".
Comment 28 rhardy 2001-10-14 00:06:51 PDT
Attn vishy@netscape.com & sairuh@netscape.com : 
Please somehow clearly obsolete the V2.0 Registry Patch so users won't try it while leaving it present for developers to reference. I don't seem to have the necessary permissions.

Please rename the Cleanup.inf to:
"Clean out Bad Mozilla Associations:  Cleanup.inf V1.0 (save file
 to Cleanup.inf then right click install)"

Please consider renaming summary to something like:
"Mozilla 0.9.x install on WinNT/2K/XP causes application crashes (Forte Agent  etc.)"

Note I still need to use cleanup.inf on a regular basis. Even going from 0.9.4 to 0.9.5 (both talkback win installer builds) triggered the problem again.
Comment 29 sairuh (rarely reading bugmail) 2001-10-15 13:02:39 PDT
->bill?

vishy's no longer here.
Comment 30 Bill Law 2001-11-05 12:03:04 PST
->mozilla0.9.8

Looking to fix registry stuff then.
Comment 31 Chris 2001-11-07 16:51:18 PST
This is also happening in Mozilla 9.5 (Nov 7 release)
Comment 32 Simon Paquet 2001-11-21 04:54:34 PST
I'm getting the same problem on Forte Agent 1.8(Build 32.553), too.
Comment 33 Robert Turnbull 2001-11-21 07:29:54 PST
Just installed 0.9.6

I can't get version 2.0 of the registry patch to run on Win2k. Windows gave me a
really useful message "installation failed" when I ran the 2.0 patch.

Now for the good news. I've noticed the running the registry patch fixes bug
59078 as well. (59078 is in the list of most frequently reported bugs)
Comment 34 Robert Turnbull 2001-11-21 07:31:58 PST
The patch I ran that fixed 59078 was V1.0...
Comment 35 Bill Law 2001-11-21 18:54:37 PST
Comment on attachment 44665 [details]
Mozilla Win2K Association Fix Registry Patch V2.0

Marking obsolete per author.
Comment 36 Olivier Cahagne 2001-12-08 09:19:04 PST
*** Bug 114205 has been marked as a duplicate of this bug. ***
Comment 37 Roger Thompson 2002-01-03 12:24:59 PST
Created attachment 63402 [details] [diff] [review]
Attachment to delete offending Registry entries
Comment 38 Boris Zbarsky [:bz] (Out June 25-July 6) 2002-01-03 12:42:01 PST
Does this patch make other Mozilla installs on the same machine (eg if I have 
NS6.0 and a current nightly both installed) non-functional?
Comment 39 rhardy 2002-01-03 18:59:36 PST
The cause of this problem is conflicting information in the registry keys
related to the various protocols served by a browser. This seems to be
caused by mozilla only partially replacing the keys of another browser.

My cleanup.inf removes all those keys related to chrome ftp gopher http and https. The next time mozilla (or almost any other browsers) is run it will notice the missing keys and ask you to add them again (or as worse you can go into the preferences and set them up again.)

As for the "Attachment to delete offending Registy entries" that "patch" doesn't
make any sense at all. That is somebody's agent.ini file complete with their serial number. That has no relation to the problem at hand and should be deleted!
Comment 40 Phil Anderton 2002-01-14 12:43:48 PST
Could this be related to, or even dependent upon, bug 58770 ?
Comment 41 rhardy 2002-01-14 13:51:00 PST
Re: relation to whether this bug is related to 58770: It could be.
I don't think I've seen BUG 58770 before so it is possible that my
cleanup.inf is a workaround for that bug as well.
Anyone tried using cleanup.inf on a machine w/ BUG 58770?
Comment 42 Bill Law 2002-01-15 18:45:25 PST
Not getting to this, either.
Comment 43 Gheesh 2002-01-27 17:13:24 PST
Agent 1.9 was released on Feb 24th, 2002. The README.TXT included the following
line: "We fixed a bug that caused Agent to crash during startup when
certain versions of Netscape Navigator were installed on the computer." I
haven't tested it, though, beacuse the patch worked fine for me. More
information at <a href="www.forteinc.com">Forte's web site</a>.
Comment 44 Bill Law 2002-02-04 12:15:07 PST
Resetting target milestone.  This might get resolved as a result of other bug 
fixes, though.
Comment 45 Oliver Klee 2002-02-05 01:01:38 PST
Agent 1.9 works for me without any problems. I propose WONTFIX and an entry into
the release notes.
Comment 46 rhardy 2002-02-05 02:29:42 PST
Re: Additional comments #45
NO!!! The cause of this problem is Mozilla putting faulty data in the
registry. That data can get queried by anything which tries to launch a URL.
All sorts of other applications are affected by this, not just Agent.  If
for some reason you want to close this ticket because the Author of Agent put
a workaround in his latest version to handle Mozilla's mistake fine but
make sure you make a new ticket to cover the problem itself (Mozilla making bad Registry entries.)

It is bad enough that this is getting pushed off past 1.0 release (especially  
when the solution is obvious i.e. always delete and recreate the keys when setting them.)

Please don't propose something crazy like not fixing it at all!
Comment 47 André Dahlqvist 2002-02-09 06:24:12 PST
*** Bug 124584 has been marked as a duplicate of this bug. ***
Comment 48 Robert Turnbull 2002-07-19 18:51:39 PDT
Build ID: 2002070508 Win2k Agent 1.8 & 1.91

I think this has been fixed for a while now. I just reinstalled Agent 1.8 to
confirm the problem was gone. (It is).

Note You need to log in before you can comment on or make changes to this bug.